#:# main mB module for EPIC..
#:# last modified: 03/07/98

#:# start loading stuff..

set display_ansi on
set display_pc_characters 4
set control_c_color on
set continued_line           

alias ansread {
	^local an[]
	@an[file]=open(${mb.path}/lib/logos/$0 R T)
	while (!eof($an[file])) {
		@an[read]=read($an[file])
		if (an[read]) {echo $an[read]}
	}
	@close($an[file])
}

alias lecho xecho -win 1 -line $0 $1-

^window swap 1
^clear
^echo
^echo
^eval ansread logo.$rand(2)
^sleep 2
^clear
^echo
^echo
^ansread load
^window scratch on

@mcnt=0
@ldstr=[please wait..]

^eval lecho 6 ${hwht} ${cl}${hblk}${cl}${hblk}${cl}${hblk}   ${hwht}loading${cl}:  $[44]ldstr ${hblk}    ${cl}
^eval lecho 7 ${cl} ${hblk}                                                            ${cl}${hblk}${cl}${hblk}${cl}${hwht}${cl}

alias loadmodule {
	^local lm[]
	@lm[done]=0
	@lm[file]=[${mb.path}/lib/modules/$0]
	@lm[open]=open($lm[file] R T)
	@lm[write]=open(${mb.path}/tmp/tmp.mod W T)
	while (!eof($lm[open]) && !lm[done]) {
		@lm[read]=read($lm[open])
		if (lm[read]) {
			if (left(1 $lm[read])==[!]) {
				switch ($before(\( $after(! $lm[read]))) {
					(name) {@mod[$mcnt][name]=left(${strlen($after(\( $lm[read])) - 1} $after(\( $lm[read]))}
					(version) {@mod[$mcnt][version]=left(${strlen($after(\( $lm[read])) - 1} $after(\( $lm[read]))}
					(modified) {@mod[$mcnt][modified]=left(${strlen($after(\( $lm[read])) - 1} $after(\( $lm[read]))}
					(begin) {@lm.writing=1;@ldstr=[$mod[$mcnt][name]];
						^lecho 6 ${hwht} ${cl}${hblk}${cl}${hblk}${cl}${hblk}   ${hwht}loading${cl}:  $[44]ldstr ${hblk}    ${cl}
					}
					(end) {@lm[writing]=0;@lm[done]=1}
				}
			}{
				if (lm[writing]) {
					if (left(1 $lm[read])!=[#]) {
						@write($lm[write] $lm[read])
					}
				}
			}
		}
	}
	@mcnt++
	@close($lm[open])
	@close($lm[write])
	^load ${mb.path}/tmp/tmp.mod
	@unlink(${mb.path}/tmp/tmp.mod)
}

alias pcomplete {
	^local pc
	@pc=[$0]
	^lecho 7 ${cl} ${hblk}                     ${cl}p${hwht}e${cl}rcent c${hwht}o${cl}mplete: ${hwht}$[-3]pc${cl}%${hblk}                 ${cl}${hblk}${cl}${hblk}${cl}${hwht}${cl}
}

^pcomplete 5
^loadmodule aliases.mod
^loadmodule cparse.mod
^pcomplete 10
^loadmodule faliases.mod
^loadmodule taliases.mod
^pcomplete 15
^loadmodule caliases.mod
^loadmodule waliases.mod
^pcomplete 20
^loadmodule help.mod
^pcomplete 90
^loadmodule shooks.mod
^loadmodule chooks.mod
^pcomplete 95
^loadmodule epic/thparse.mod
^loadmodule epic/formats.mod
^loadmodule epic/version.mod
^pcomplete 100

^eval lecho 9 ${hwht} ${cl}${hblk}${cl}${hblk}${cl}${hblk}                ${cl}loading is complete!                      ${hblk}    ${cl}

alias loadmsg {
	^local lm
	@lm=[$*]	
	^lecho 10 ${cl} ${hblk}            ${cl}$[38]center(38 $lm)${hblk}          ${cl}${hblk}${cl}${hblk}${cl}${hwht}${cl}
}

^loadmsg building help index
^mb.readhelp lib/help/ makeindex
^loadmsg loading default formats
^mb.readfmt mb.fmt
^loadmsg loading default themes
^mb.readtheme mb.th
^mb.dotheme mb
^loadmsg ..please wait..

# temp shit
@G=mb.cparse(+hblk[+cyn+hblk]+cl)
eval set banner $G


^timer 2 ^window scratch off
^timer 2 ^ansread welcome
