!name(help parser)
!version(1.04)
!modified(03/01/98)
!begin()

alias mb.readhelp {
	^local help[];^local found;
	@help[path]=[${mb[path]}/$0]
	switch ($tolower($1)) {
		(makeindex) {fe ($glob($help[path]/\*)) ii {
				@found=0
				@help[open]=open($ii R T)
				while (!eof($help[open]) && !found) {
					@help[read]=read($help[open])
					if (left(1 $help[read])==[!]) {@found=1;@push(help[topics] $word(0 $after(! $help[read])));@push(help[files] $ii)}
				}
				@close($help[open])
			}
			@help[files]=sar(g///$help[files])
			if (fexist(${mb[path]}/tmp/help.index)) {@unlink(${mb[path]}/tmp/help.index)}
			@help[write]=open(${mb[path]}/tmp/help.index W T)
			@write($help[write] $help[topics])
			@write($help[write] $help[files])
			@close($help[write])
		}
		(index) {@help[index]=open(${mb[path]}/tmp/help.index R T)
			@help[read]=read($help[index])
			fe ($help[read]) ii {@push(help[topics] $ii)}
			@close($help[index])
			eecho available topics:
			fe ($help[topics]) t1 t2 t3 t4 t5 {
				eecho $t1  $t2  $t3  $t4  $t5
			}
		}
		(topic) {@help[index]=open(${mb[path]}/tmp/help.index R T)
			@help[read]=read($help[index])
			fe ($help[read]) ii {@push(help[topics] $ii)}
			@help[read]=read($help[index])
			fe ($help[read]) ii {@push(help[files] $ii)}
			@close($help[index])
			if (match($2 $help[topics])) {
				@help[file]=copattern($2 help[topics] help[files])
				@help[open]=open($help[file] R T)
				while (!eof($help[open])) {
					@help[read]=read($help[open])
					if (help[read]) {switch ($left(1 $help[read])) {
						(!) {eecho Usage: /$after(! $help[read])}
						(@) {eecho  $after(@ $help[read])}
						(&) {eecho See Also: $after(& $help[read])}
						}
					}
				}
			}{eecho Topic not found!}
		}
	}
}

alias mbhelp {if ([$0]==[index]) {
	^mb.readhelp lib/help/ index
	}{^mb.readhelp lib/help/ topic $*}
}
!end()
